StoreRegistry (Apache Tomcat 10.1.7 API Documentation)

Package org.apache.catalina.storeconfig

## Class StoreRegistry

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreRegistry

-     public class StoreRegistry
      extends Object

  Central StoreRegistry for all server.xml elements

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StoreRegistry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StoreDescription` | `findDescription​(Class<?> aClass)` | Find Description by class.
    `StoreDescription` | `findDescription​(String id)` | Find a description for id.
    `IStoreFactory` | `findStoreFactory​(Class<?> aClass)` | Find factory from class.
    `IStoreFactory` | `findStoreFactory​(String aClassName)` | Find factory from class name.
    `String` | `getEncoding()` |
    `String` | `getName()` |
    `String` | `getVersion()` |
    `void` | `registerDescription​(StoreDescription desc)` | Register a new description.
    `void` | `setEncoding​(String string)` | Set the encoding to use when writing the configuration files.
    `void` | `setName​(String name)` |
    `void` | `setVersion​(String version)` |
    `StoreDescription` | `unregisterDescription​(StoreDescription desc)` | Unregister a description.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreRegistry

          public StoreRegistry()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName​(String name)

      Parameters:
        `name` - The name to set.

    - #### getVersion

          public String getVersion()

      Returns:
        the version

    - #### setVersion

          public void setVersion​(String version)

      Parameters:
        `version` - The version to set

    - #### findDescription

          public StoreDescription findDescription​(String id)

      Find a description for id. Handle interface search when no direct match found.
      Parameters:
        `id` - The class name
      Returns:
        the description

    - #### findDescription

          public StoreDescription findDescription​(Class<?> aClass)

      Find Description by class.
      Parameters:
        `aClass` - The class
      Returns:
        the description

    - #### findStoreFactory

          public IStoreFactory findStoreFactory​(String aClassName)

      Find factory from class name.
      Parameters:
        `aClassName` - The class name
      Returns:
        the factory

    - #### findStoreFactory

          public IStoreFactory findStoreFactory​(Class<?> aClass)

      Find factory from class.
      Parameters:
        `aClass` - The class
      Returns:
        the factory

    - #### registerDescription

          public void registerDescription​(StoreDescription desc)

      Register a new description.
      Parameters:
        `desc` - New description

    - #### unregisterDescription

          public StoreDescription unregisterDescription​(StoreDescription desc)

      Unregister a description.
      Parameters:
        `desc` - The description
      Returns:
        the description, or `null` if it was not registered

    - #### getEncoding

          public String getEncoding()

      Returns:
        the encoding

    - #### setEncoding

          public void setEncoding​(String string)

      Set the encoding to use when writing the configuration files.
      Parameters:
        `string` - The encoding